﻿@using Core.helpers
@using Perplex.ContentBlocks.Rendering
@using Snipcart;
@using Snipcart.Models;

@inherits UmbracoViewPage<Umbraco.Web.PublishedModels.Content>
@{
    Layout = "msMaster.cshtml";
    //var currentNodeAsTopDoctype = Umbraco.AssignedContentItem as Umbraco.Web.PublishedModels.Content;

    //var error = EmailSendHelper.SendEmail("info@dynamikfabrikken.com", "noreply@dynamikfabrikken.com", "", "Test email from new .cs methode", "<p>The text goes here</p>");

}


@{
    @*

        //this is all snipcart testing

        SnipcartClient client = new SnipcartClient("[NzI3ZDczMWYtNTc2MC00ZjYyLTllMjktZTg5ZTUxYjJjNTFlNjM3MjQ0NTU3Njk1Njc0MzY5]");
        Orders orders = client.GetOrdersAsync(new OrdersRequestOptions() { status = OrderStatus.Shipped }).Result;
        if (orders.IsSuccessStatusCode) //returned 200, 201, 204
        {
            //do stuff
        }
        else
        {
            var errormessage = orders.message;
            var statuscode = orders.statuscode;
            var errors = orders.errors.parameter;


        if (orders.IsSuccessStatusCode)
        {
            <p>Total Orders :  @orders.items.Count</p>
        }

        if (products.IsSuccessStatusCode)
        {
            <p>Total products :  @orders.items.Count</p>

        }

            var razorHelpers = new RazorHelpers();
            //var code = Request["Code"];
            //var tokenString = razorHelpers.GetToken(code);
            var orders = razorHelpers.GetOrders();
            var products = razorHelpers.GetProducts();
            <p>INFORMATION</p>

        }*@

}


@Html.RenderContentBlocks(Model.ContentBlocks2)
